diff --git a/src/bin/pg_rewind/pg_rewind.c b/src/bin/pg_rewind/pg_rewind.c
index a2d9ca3..8db9803 100644
--- a/src/bin/pg_rewind/pg_rewind.c
+++ b/src/bin/pg_rewind/pg_rewind.c
@@ -212,7 +212,10 @@ main(int argc, char **argv)
 	 * do.
 	 */
 	if (ControlFile_target.checkPointCopy.ThisTimeLineID == ControlFile_source.checkPointCopy.ThisTimeLineID)
-		pg_fatal("source and target cluster are on the same timeline\n");
+	{
+		printf(_("source and target cluster are on the same timeline\n"));
+		exit(0);
+	}
 
 	findCommonAncestorTimeline(&divergerec, &lastcommontli);
 	printf(_("servers diverged at WAL position %X/%X on timeline %u\n"),
